Package org.apache.sling.models.annotations

# Annotation Interface Default

@Target({FIELD,METHOD,PARAMETER}) @Retention(RUNTIME) public @interface Default
Default value for an injection.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`boolean[]`
`booleanValues`
`double[]`
`doubleValues`
`float[]`
`floatValues`
`int[]`
`intValues`
`long[]`
`longValues`
`short[]`
`shortValues`
`String[]`
`values`

## Element Details

### booleanValues

boolean[] booleanValues

Default:
  {}

### doubleValues

double[] doubleValues

Default:
  {}

### floatValues

float[] floatValues

Default:
  {}

### intValues

int[] intValues

Default:
  {}

### longValues

long[] longValues

Default:
  {}

### shortValues

short[] shortValues

Default:
  {}

### values

String[] values

Default:
  {}